List Audit Log
GET /audit-logParameters
Section titled “Parameters”| Name | In | Type | Notes | |
|---|---|---|---|---|
actor_id | query | string (uuid) | null | optional | — |
action | query | create | update | delete | login | logout | submit | approve | purge | impersonate | null | optional | — |
resource_type | query | string | null | optional | max length 60 |
from | query | string (date-time) | null | optional | — |
to | query | string (date-time) | null | optional | — |
limit | query | integer | optional | Default 50. min 1 max 200 |
cursor | query | string | null | optional | — |
offset | query | integer | null | optional | min 0 |
Responses
Section titled “Responses”| Status | Description | Body |
|---|---|---|
200 | Successful Response | Page_AuditEntryView_ |
422 | Validation Error | HTTPValidationError |
Example
Section titled “Example”curl -X GET https://your-deployment.example.com/audit-log \ -H "Authorization: Bearer $COBRE_TOKEN"Response — Page_AuditEntryView_
Section titled “Response — Page_AuditEntryView_”| Field | Type | Notes | |
|---|---|---|---|
items | AuditEntryView[] | required | — |
next_cursor | string | null | optional | — |
total | integer | null | optional | — |